Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.ace.techservice.udpserver
Class AbstractV3Request

    java.lang.Object
      com.rsa.ace.techservice.udpserver.AbstractAceRequest
          com.rsa.ace.techservice.udpserver.AbstractV3Request

All Implemented Interfaces:
  AceRequest

Direct Known Subclasses:
  AbstractV3RequestWithPasscode, AceAuthV3Request

    public abstract class AbstractV3Request

extends AbstractAceRequest
implements AceRequest

This class represents an Ace Authentication Version 3 Request use by cross realm.

Usage:

          // Creates a new request of type V3 .
          AbstractV3Request request = new AbstractV3Request(message);

Nested Class Summary
`static class` | `AbstractV3Request.MessageType`

Field Summary

Fields inherited from interface com.rsa.ace.techservice.udpserver.AceRequest
`NO_RESPONSE, QUEUE_RESPONSE, RESPOND_NOW`

Constructor Summary
`AbstractV3Request(AbstractV3Request.MessageType message, byte circuit, AgentConfig agentConfig)` Creates a new instance of AbstractV3Request.
`AbstractV3Request(AceDatagram pkt)` Creates a new instance of AbstractV3Request from a datagram.

Method Summary
`java.lang.String` | `toString()` String conversion method.

Methods inherited from class com.rsa.ace.techservice.udpserver.AbstractAceRequest
`getAcePinUtil, getAgentConfig, getBuffer, getCipherProvider, getCreationTime, getEncryptOffset, getHeader, getNonce, getPacket, getProtocolVersion, getSecretKey, getWpCode, haveNodeSecret, haveSecretKey, processRequest, readTrailer, setEncode, setEncryptOffset, setNodeSecret, setSecretKey, setTrailer`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.rsa.ace.techservice.udpserver.AceRequest
`getAgentConfig, getCipherProvider, getCreationTime, getHeader, getNonce, getPacket, getProtocolVersion, getResponse, getWpCode, processRequest`

Constructor Detail

### AbstractV3Request

    public AbstractV3Request(AceDatagram pkt)
                      throws AcePacketException

  Creates a new instance of AbstractV3Request from a datagram. Use by the Sever only

  Parameters:
    `pkt` - The packet used to construct the request.
  Throws:
    `AcePacketException`

### AbstractV3Request

    public AbstractV3Request(AbstractV3Request.MessageType message,
                             byte circuit,
                             AgentConfig agentConfig)
                      throws AcePacketException

  Creates a new instance of AbstractV3Request. Use by the Agent only

  Parameters:
    `message` -
  Throws:
    `AcePacketException` - If an error occurs constructing the header.

Method Detail

### toString

    public java.lang.String toString()

  String conversion method.

  Specified by:
    `toString` in interface `AceRequest`
  Overrides:
    `toString` in class `AbstractAceRequest`
  Returns:
    A String representation of the V3 auth request.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.